# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "anvilforge"
version = "0.3.3"
authors = ["Anvilforge contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Anvilforge — Laravel-equivalent Rust web framework. Forge web apps with Eloquent-shape ORM, Blade-style templates, queues, mail, and more."
homepage = "https://github.com/anvilforge/anvilforge"
readme = "README.md"
keywords = [
    "web",
    "framework",
    "laravel",
    "axum",
    "rust",
]
categories = [
    "web-programming",
    "web-programming::http-server",
]
license = "MIT"
repository = "https://github.com/anvilforge/anvilforge"

[features]
default = []
embed-assets = ["anvilforge-core/embed-assets"]

[lib]
name = "anvilforge"
path = "src/lib.rs"

[dependencies.anvilforge-bellows]
version = "0.3.3"

[dependencies.anvilforge-boost]
version = "0.3.3"

[dependencies.anvilforge-cast]
version = "0.3.3"

[dependencies.anvilforge-core]
version = "0.3.3"

[dependencies.anvilforge-derive]
version = "0.3.3"

[dependencies.anvilforge-spark]
version = "0.3.3"

[dependencies.anvilforge-spark-derive]
version = "0.3.3"

[dependencies.anvilforge-templates]
version = "0.3.3"

[dependencies.anvilforge-test]
version = "0.3.3"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.7"
features = [
    "macros",
    "ws",
    "multipart",
]

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "mysql",
    "sqlite",
    "macros",
    "chrono",
    "uuid",
    "json",
    "any",
]

[dependencies.tokio]
version = "1.40"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1.10"
features = [
    "v4",
    "v7",
    "serde",
]
